# Uses of Interface
jebl.evolution.alignments.Pattern

Packages that use Pattern
Package
Description
jebl.evolution.alignments
jebl.evolution.parsimony

## Uses of Pattern in jebl.evolution.alignments

Methods in jebl.evolution.alignments that return types with arguments of type Pattern
Modifier and Type
Method
Description
`List<Pattern>`
BasicAlignment.`getPatterns()`
`List<Pattern>`
Patterns.`getPatterns()`
Get a list of all the patterns
`List<Pattern>`
ResampledAlignment.`getPatterns()`

## Uses of Pattern in jebl.evolution.parsimony

Constructor parameters in jebl.evolution.parsimony with type arguments of type Pattern
Modifier
Constructor
Description
``
`FitchParsimony(List<Pattern> patterns, boolean gapsAreStates)`